Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.resolve.exception
Class XRIResolutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.openxri.resolve.exception.XRIResolutionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuthResNotFoundException, BadAuthorityException, IllegalTrustTypeException, InvalidAuthorityURIException, LimitExceededException, NoInitialDescriptorException, PartialResolutionException, RefNotFollowedException, XRDErrorStatusException

    public class XRIResolutionException

extends java.lang.Exception

Base class for exceptions thrown during XRI Resolution

Author:
  chandra
See Also:
  Serialized Form

Constructor Summary
`XRIResolutionException(java.lang.String sMsg)` Constructs an exception with the given message
`XRIResolutionException(java.lang.String sMsg, java.lang.Exception oEx)` Constructs an exception with the given message and underlying exception
`XRIResolutionException(java.lang.String statusCode, java.lang.String sMsg)`

Method Summary
`java.lang.String` | `getStatus()`
`void` | `printUnderlyingStackTrace()` Prints out the underlying exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XRIResolutionException

    public XRIResolutionException(java.lang.String sMsg)

  Constructs an exception with the given message

### XRIResolutionException

    public XRIResolutionException(java.lang.String sMsg,
                                  java.lang.Exception oEx)

  Constructs an exception with the given message and underlying exception

### XRIResolutionException

    public XRIResolutionException(java.lang.String statusCode,
                                  java.lang.String sMsg)

Method Detail

### printUnderlyingStackTrace

    public void printUnderlyingStackTrace()

  Prints out the underlying exception

### getStatus

    public java.lang.String getStatus()

  Returns:
    Returns the status.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.